Summary:	A set of default configuration for LXDE
Name:	  	lxde-common
Version:	0.4.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Other
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.bz2
# Mandriva customization patch
Patch101:	lxde-common-0.3.2.1-use-mandriva-backgrounds.patch
Patch102:	lxde-common-0.3.2.1-add-mcc-to-panel.patch
Patch103:	lxde-common-0.4-lxpanel-customization.patch
URL:		http://lxde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glib2-devel libx11-devel
Requires:	smproxy
Suggests:	xscreensaver
Requires:	openbox
Requires:	lxpanel
Requires:	lxsession >= 0.3.8
Requires:	pcmanfm
Requires:	nuoveXT2-icon-theme
Requires:	lxde-settings-daemon >= 0.4
Requires(post):	mandriva-theme
Requires:	lxterminal

%description
This package provides a set of default configuration for LXDE.

%package -n nuoveXT2-icon-theme
Summary:	nuoveXT2 icon theme
Group:		Graphical desktop/Other

%description -n nuoveXT2-icon-theme
This package contains nuoveXT2 icon theme for LXDE.

%prep
%setup -q
%patch101 -p1 -b .mdv-background
%patch102 -p0 -b .mdv-mcc
%patch103 -p0 -b .mdv-panel

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{name}

# we'll ship this file via mandriva-lxde-config
rm -f %buildroot%{_datadir}/lxde/config

# we do not need this file
rm -f %buildroot%{_datadir}/xsessions/LXDE.desktop

# instead, we use wmsession.d
install -d %buildroot%_sysconfdir/X11/wmsession.d/
cat > %buildroot%_sysconfdir/X11/wmsession.d/04LXDE << EOF
NAME=LXDE
DESC=Lightweight X11 Desktops Environment
EXEC=/usr/bin/startlxde
SCRIPT:
exec /usr/bin/startlxde
EOF

touch %buildroot%{_iconsdir}/nuoveXT2/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%make_session

%postun
%make_session

%post -n nuoveXT2-icon-theme
%update_icon_cache nuoveXT2

%postun -n nuoveXT2-icon-theme
%clean_icon_cache nuoveXT2

%files -f %{name}.lang
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/config
%{_sysconfdir}/X11/wmsession.d/04LXDE
%{_bindir}/*
%{_datadir}/lxde
%{_datadir}/lxpanel
%{_mandir}/man1/*

%files -n nuoveXT2-icon-theme
%defattr(-, root, root)
%{_iconsdir}/nuoveXT2
%ghost %{_iconsdir}/nuoveXT2/icon-theme.cache


%changelog
* Fri Oct 02 2009 Antoine Ginies <aginies@mandriva.com> 0.4.2-3mdv2010.0
+ Revision: 452502
- xscreensaver is now a suggests to free some more space on dual CD

* Sun Sep 27 2009 Funda Wang <fundawang@mandriva.org> 0.4.2-2mdv2010.0
+ Revision: 449694
- use mandriva star

* Mon Jul 06 2009 Funda Wang <fundawang@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 392827
- fix file list
- new version 0.4.2

* Tue May 26 2009 Funda Wang <fundawang@mandriva.org> 0.4.1-2mdv2010.0
+ Revision: 379766
- requires lxsession as there is only one available alternatives

* Thu May 07 2009 Funda Wang <fundawang@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 372816
- New version 0.4.1

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 0.4-2mdv2010.0
+ Revision: 369384
- Requires lxde-settings-daemon

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 0.4-1mdv2010.0
+ Revision: 369351
- New version 0.4

* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 0.3.2.1-17mdv2009.1
+ Revision: 364429
- promo lxterminal over xterm

* Tue Mar 10 2009 Frederic Crozat <fcrozat@mandriva.com> 0.3.2.1-16mdv2009.1
+ Revision: 353443
- Fix typo in patch0 and remove hacks in post script for background

* Mon Mar 09 2009 Frederic Crozat <fcrozat@mandriva.com> 0.3.2.1-15mdv2009.1
+ Revision: 353111
- Bump weight in wmsession.d
- Update patch0, fix mdv bug #44061

* Tue Jan 20 2009 Anne Nicolas <anne.nicolas@mandriva.com> 0.3.2.1-14mdv2009.1
+ Revision: 331830
- decrease order to avoid openbox being launched instead of LXDE by default

* Tue Nov 04 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-13mdv2009.1
+ Revision: 299957
- detect wallpaper rather than harcode file type

* Mon Sep 22 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-12mdv2009.0
+ Revision: 286429
- fix firefox button

* Thu Jul 10 2008 Pixel <pixel@mandriva.com> 0.3.2.1-11mdv2009.0
+ Revision: 233475
- remove filetrigger for gtk icon cache since %%update_icon_cache is better
  suited for a theme which comes from only one package. and %%update_icon_cache
  has been fixed

* Sun Jun 29 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-10mdv2009.0
+ Revision: 230024
- add rpm file trigger

* Sun Jun 29 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-9mdv2009.0
+ Revision: 229933
- Use lxde native terminal: lxterminal

* Tue Jun 10 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-8mdv2009.0
+ Revision: 217332
- requires virtual package lxde-session-manager

* Mon Jun 09 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-7mdv2009.0
+ Revision: 217107
- prefer lxsession-lite

* Sat May 10 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-6mdv2009.0
+ Revision: 205379
- introduce mandriva-lxde-config

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-5mdv2009.0
+ Revision: 201125
- add panel customization

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-4mdv2009.0
+ Revision: 200982
- Add mandriva customization patches
- lower BR, we only need glib and x11, not gtk

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-3mdv2009.0
+ Revision: 200917
- requries lxsession

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 0.3.2.1-2mdv2009.0
+ Revision: 200895
- Requires specific icon theme
- import source and spec
- Created package structure for lxde-common.

